
Name:           gkrellm
Version:        2.3.10
Release:        %mkrel 1
Summary:        Multiple stacked system monitors
Summary(de):	Mehrere gestapelte Systemmonitore
License:        GPLv3+
Group:          Monitoring
URL:            http://gkrellm.net
Source0:        http://members.dslextreme.com/users/billw/gkrellm/%{name}-%{version}.tar.xz
Source1:        gkrellm-pt.po
Source4:        gkrellm-themes.tar.bz2
Source5:        gkrellmd.init
Source6:        %{name}.bash-completion.bz2
#-----------------------------------------------
BuildRequires: gettext
BuildRequires: ImageMagick
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}ice-devel
BuildRequires: %{_lib}lm_sensors4-devel
BuildRequires: %{_lib}openssl-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}sm-devel
BuildRequires: %{_lib}x11-devel
#-----------------------------------------------
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
GKrellM charts SMP CPU, load, Disk, and all active net interfaces
automatically. An on/off button and online timer for the PPP interface
is provided. Monitors for memory and swap usage, file system, internet
connections, APM laptop battery, mbox style mailboxes, and cpu temps.
Also includes an uptime monitor, a hostname label, and a clock/calendar.
Additional features are:

  * Autoscaling grid lines with configurable grid line resolution.
  * LED indicators for the net interfaces.
  * A gui popup for configuration of chart sizes and resolutions.

#german
%description -l de
GKrellM CPU SMP-Charts, FestplattenüberwachungEin EIN/AUS-Taste und Online-Timer 
für die PPP-Schnittstelle. Monitore für Speicher und Swap-Nutzung, Dateisystem, 
InternetVerbindungen, APM-Laptop-Batterie, mbox-Stil Mailboxen, und cpu temps. 
Es enthält auch ein uptime-Monitor, ein Hostname Etikett, und eine Uhr/Kalender.
Zusätzliche Funktionen sind:

    * Autoskalierung Gitterlinien mit konfigurierbaren Gitternetzlinien Auflösung.
    * LED-Anzeigen für das Netz-Schnittstellen.
    * Ein GUI für Pop-up-Konfiguration von Chart Größen und Auflösungen.



%package    devel
Summary:    Include files for gkrellm
Summary(de): Include Dateien für %{name}
Group:      Development/Other
Requires:   %name = %version

%description    devel
gkrellm header files for gkrellm development and plugin support.

#german
%description devel -l de
%{name} Header Dateien für %{name} Entwicklung und Plugin Unterstützung.

%package server
Summary:        Server component for gkrellm
Summary(de):	Server-Komponente für gkrellm
Group:          Monitoring
Requires(post): rpm-helper
Requires(preun):rpm-helper

%description    server
The server component allows you to monitor a server remotely from 
a client running gkrellm, without installing gkrellm on the server.

#german
%description server -l de
Die Server-Komponente ermöglicht es einen Server Monitor aus der Ferne 
zu bedienen/überwachen ohne Installation auf dessen Server.

%prep
%setup -q
%setup -q -D -T -a4
bzcat %{SOURCE6} > %{name}.bash-completion
for i in `find -type d -name .xvpics`
    do rm -rf $i
done
# make it lib64 aware
perl -pi -e "/PLUGINS_DIR/ and s|/lib/|/%{_lib}/|g" ./src/gkrellm.h ./server/gkrellmd.h
perl -pi -e "s|/lib/|/%{_lib}/|" Makefile
# Portuguese translation
install -m 644 %{S:1} po/pt.po

%apply_patches

%build
%make INSTALLROOT=%{_prefix} \
      INCLUDEDIR=%{_includedir} \
      CFLAGS="%optflags" \
      LDFLAGS="%ldflags" \
      LOCALEDIR=%{_datadir}/locale

%install
rm -rf %buildroot
mkdir -p %{buildroot}/%{_bindir}
make install \
    INSTALLROOT=%{buildroot}%{_prefix} \
    INSTALLDIR=%{buildroot}/%{_bindir} \
    INCLUDEDIR=%{buildroot}%{_includedir} \
    MANDIR=%{buildroot}%{_mandir}/man1 \
    LOCALEDIR=%{buildroot}%{_datadir}/locale \
    STRIP=""

mkdir -p %{buildroot}%{_libdir}/%{name}2/plugins

mkdir -p %{buildroot}{%{_iconsdir},%{_liconsdir},%{_miconsdir}}
convert src/icon.xpm -geometry 48x48 %{buildroot}%{_liconsdir}/%{name}.png
convert src/icon.xpm -geometry 32x32 %{buildroot}%{_iconsdir}/%{name}.png
convert src/icon.xpm -geometry 16x16 %{buildroot}%{_miconsdir}/%{name}.png

mkdir -p %{buildroot}%{_datadir}/%{name}2/themes
cp -av gkrellm-themes/* %{buildroot}%{_datadir}/%{name}2/themes

install -d -m 755 %{buildroot}%{_datadir}/applications
cat >  %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=gKrellm
Comment=Monitoring Application
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;System;Monitor;X-MandrivaLinux-System-Monitoring
EOF

install -d -m 755 %{buildroot}%{_sysconfdir}
install -m 644 server/gkrellmd.conf %{buildroot}%{_sysconfdir}


install -d -m 755 %{buildroot}%{_initrddir}
install -m 755 %{SOURCE5} %{buildroot}%{_initrddir}/gkrellmd

install -d -m 755 %{buildroot}%{_sysconfdir}/bash_completion.d
install -m 644 %{name}.bash-completion %{buildroot}%{_sysconfdir}/bash_completion.d/%{name}

%multiarch_includes %{buildroot}%{_includedir}/gkrellm2/gkrellm.h
%multiarch_includes %{buildroot}%{_includedir}/gkrellm2/gkrellmd.h

%{find_lang} %{name}

%clean
rm -rf %{buildroot}


%post server
%_post_service gkrellmd 

%preun server
%_preun_service gkrellmd

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYRIGHT Changelog INSTALL README *.html
%config(noreplace) %{_sysconfdir}/bash_completion.d/%{name}
%{_bindir}/gkrellm
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/gkrellm.png
%{_liconsdir}/gkrellm.png
%{_miconsdir}/gkrellm.png 
%{_mandir}/man1/gkrellm.1*
%{_libdir}/gkrellm2
%{_datadir}/gkrellm2

%files devel
%defattr(-,root,root)
%doc *.html
%{_includedir}/gkrellm2
%{_libdir}/pkgconfig/gkrellm.pc
%multiarch %{_includedir}/multiarch-*/gkrellm2

%files server
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/gkrellmd.conf
%{_initrddir}/gkrellmd
%{_bindir}/gkrellmd
%{_mandir}/man1/gkrellmd.1*


%changelog
* Fri Feb 17 2017 adrianomorselli <adrianomorselli> 2.3.10-1uplos2017
- update
-removed old stuff
